# restconf_get – Fetch configuration/state data from RESTCONF enabled devices

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- RESTCONF is a standard mechanisms to allow web applications to access the configuration data and state data developed and standardized by the IETF. It is documented in RFC 8040.

- This module allows the user to fetch configuration and state data from RESTCONF enabled devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

content
-

Choices:
- config
- nonconfig
- all

The `content` is a query parameter that controls how descendant nodes of the requested data nodes in `path` will be processed in the reply. If value is config return only configuration descendant data nodes of value in `path`. If value is nonconfig return only non-configuration descendant data nodes of value in `path`. If value is all return all descendant data nodes of value in `path`

output
-

Choices:
- json ←
- xml

The output of response received.

path - / required |  | URI being used to execute API calls.

## Examples

    - name: get l3vpn services
      restconf_get:
          path: /config/ietf-l3vpn-svc:l3vpn-svc/vpn-services

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
response dictionary | when the device response is valid JSON | A dictionary representing a JSON-formatted response Sample: { "vpn-services": { "vpn-service": [ { "customer-name": "red", "vpn-id": "blue_vpn1", "vpn-service-topology": "ietf-l3vpn-svc:any-to-any" } ] } }

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.